// Autogenerated by gen_tests.py
use mwapi_responses::prelude::*;

mod test_client;

#[query(action = "query", list = "logevents", leprop = "comment")]
struct Response0;

#[tokio::test]
async fn query_logevents_comment() {
    let params = Response0::params();

    let resp: Response0 = test_client::test(params).await.unwrap();
    assert_eq!(resp.items().len(), 10);
    assert!(!resp.continue_.is_empty());
}

#[query(action = "query", list = "logevents", leprop = "details")]
struct Response1;

#[tokio::test]
async fn query_logevents_details() {
    let params = Response1::params();

    let resp: Response1 = test_client::test(params).await.unwrap();
    assert_eq!(resp.items().len(), 10);
    assert!(!resp.continue_.is_empty());
}

#[query(action = "query", list = "logevents", leprop = "ids")]
struct Response2;

#[tokio::test]
async fn query_logevents_ids() {
    let params = Response2::params();

    let resp: Response2 = test_client::test(params).await.unwrap();
    assert_eq!(resp.items().len(), 10);
    assert!(!resp.continue_.is_empty());
}

#[query(action = "query", list = "logevents", leprop = "parsedcomment")]
struct Response3;

#[tokio::test]
async fn query_logevents_parsedcomment() {
    let params = Response3::params();

    let resp: Response3 = test_client::test(params).await.unwrap();
    assert_eq!(resp.items().len(), 10);
    assert!(!resp.continue_.is_empty());
}

#[query(action = "query", list = "logevents", leprop = "timestamp")]
struct Response4;

#[tokio::test]
async fn query_logevents_timestamp() {
    let params = Response4::params();

    let resp: Response4 = test_client::test(params).await.unwrap();
    assert_eq!(resp.items().len(), 10);
    assert!(!resp.continue_.is_empty());
}

#[query(action = "query", list = "logevents", leprop = "title")]
struct Response5;

#[tokio::test]
async fn query_logevents_title() {
    let params = Response5::params();

    let resp: Response5 = test_client::test(params).await.unwrap();
    assert_eq!(resp.items().len(), 10);
    assert!(!resp.continue_.is_empty());
}

#[query(action = "query", list = "logevents", leprop = "type")]
struct Response6;

#[tokio::test]
async fn query_logevents_type() {
    let params = Response6::params();

    let resp: Response6 = test_client::test(params).await.unwrap();
    assert_eq!(resp.items().len(), 10);
    assert!(!resp.continue_.is_empty());
}

#[query(action = "query", list = "logevents", leprop = "user")]
struct Response7;

#[tokio::test]
async fn query_logevents_user() {
    let params = Response7::params();

    let resp: Response7 = test_client::test(params).await.unwrap();
    assert_eq!(resp.items().len(), 10);
    assert!(!resp.continue_.is_empty());
}

#[query(action = "query", list = "logevents", leprop = "userid")]
struct Response8;

#[tokio::test]
async fn query_logevents_userid() {
    let params = Response8::params();

    let resp: Response8 = test_client::test(params).await.unwrap();
    assert_eq!(resp.items().len(), 10);
    assert!(!resp.continue_.is_empty());
}
